POST api/PFMS/pfms_get_refresh_token
Documentation for 'pfms_get_refresh_token'.
Request Information
Parameters
| Name | Description | Additional information |
|---|---|---|
| model | Documentation for 'model'. |
Define this parameter in the request body. |
Request body formats
application/json, text/json
Sample:
{
"stateCode": "sample string 1",
"AuthString": "sample string 2",
"expiredAccessToken": "sample string 3",
"RefreshToken": "sample string 4"
}
application/xml, text/xml
Sample:
<RequestModelRefreshToken xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BLL.PFMS"> <AuthString>sample string 2</AuthString> <RefreshToken>sample string 4</RefreshToken> <expiredAccessToken>sample string 3</expiredAccessToken> <stateCode>sample string 1</stateCode> </RequestModelRefreshToken>
application/x-www-form-urlencoded
Sample:
Response Information
Response body formats
application/json, text/json
Sample:
{
"AckCode": "sample string 1",
"Status": "sample string 2",
"Remarks": "sample string 3",
"DateOfData": "sample string 4",
"RefreshTokenResponse": {
"accessToken": "sample string 1",
"refreshToken": "sample string 2",
"created": "sample string 3",
"expires": "sample string 4",
"responseData": "sample string 5",
"errorMessage": "sample string 6",
"isSuccess": "sample string 7",
"errorCode": "sample string 8"
}
}
application/xml, text/xml
Sample:
<ResponseModelRefreshToken xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BLL.PFMS">
<AckCode>sample string 1</AckCode>
<DateOfData>sample string 4</DateOfData>
<RefreshTokenResponse>
<accessToken>sample string 1</accessToken>
<created>sample string 3</created>
<errorCode>sample string 8</errorCode>
<errorMessage>sample string 6</errorMessage>
<expires>sample string 4</expires>
<isSuccess>sample string 7</isSuccess>
<refreshToken>sample string 2</refreshToken>
<responseData>sample string 5</responseData>
</RefreshTokenResponse>
<Remarks>sample string 3</Remarks>
<Status>sample string 2</Status>
</ResponseModelRefreshToken>